netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
atalk_iconv_t Struct Reference

`#include <unicode.h>`

## Data Fields
size_t(* | direct )(void *cd, char **inbuf, size_t *inbytesleft, char **outbuf, size_t *outbytesleft)
size_t(* | pull )(void *cd, char **inbuf, size_t *inbytesleft, char **outbuf, size_t *outbytesleft)
size_t(* | push )(void *cd, char **inbuf, size_t *inbytesleft, char **outbuf, size_t *outbytesleft)
void * | cd_direct
void * | cd_pull
void * | cd_push
char * | from_name
char * | to_name

## Detailed Description

generic iconv conversion structure

## Field Documentation

## ◆ cd_direct

void* atalk_iconv_t::cd_direct

## ◆ cd_pull

void * atalk_iconv_t::cd_pull

## ◆ cd_push

void * atalk_iconv_t::cd_push

## ◆ direct

size_t(* atalk_iconv_t::direct) (void *cd, char **inbuf, size_t *inbytesleft, char **outbuf, size_t *outbytesleft)

## ◆ from_name

char* atalk_iconv_t::from_name

## ◆ pull

size_t(* atalk_iconv_t::pull) (void *cd, char **inbuf, size_t *inbytesleft, char **outbuf, size_t *outbytesleft)

## ◆ push

size_t(* atalk_iconv_t::push) (void *cd, char **inbuf, size_t *inbytesleft, char **outbuf, size_t *outbytesleft)

## ◆ to_name

char * atalk_iconv_t::to_name

The documentation for this struct was generated from the following file:

- unicode.h